Platform API reference

Platform API · Me

get/v1/me/mfaAuth

Get the caller's two-step sign-in methods

Whether two-step sign-in is on, the active factors, how many unused recovery codes are left, and the workspaces that require it of this account (with the deadline and whether access is already blocked).

Response · 200

enabled*boolean

True when the account has at least one active factor.

factors*array

Active factors.

recovery_codes_remaining*number

Unused recovery codes.

required_by*array

Workspaces that require two-step sign-in of this account.

Example

Request

GET https://api.platform-auth.productcraft.co/v1/me/mfa
Authorization: Bearer YOUR_TOKEN

Response

{
  "enabled": false,
  "factors": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "type": {},
      "label": "string",
      "email_masked": "string",
      "status": {},
      "created_at": "2026-01-01T00:00:00.000Z",
      "last_used_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "recovery_codes_remaining": 0,
  "required_by": [
    {
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "workspace_slug": "string",
      "display_name": "string",
      "deadline": "2026-01-01T00:00:00.000Z",
      "blocked": false
    }
  ]
}